Resent-Date: Sun, 8 Nov 1998 08:04:40 +0100 (MET)
Date: Sun, 8 Nov 1998 01:05:15 -0600
From: Chris Lawrence <quango@watervalley.net>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: CyberFB/VirgeFB CFB8/16 fix
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.124
Resent-From: linux-m68k@phil.uni-sb.de

The following patch fixes the automatic mode selection for the Cyberfb
and Virgefb framebuffers (so 8 and 16 bpp packed pixel support is
enabled automagically if you don't specify low-level drivers).

--- linux-2.1.124/drivers/video/Config.in.old	Sun Nov  8 00:58:01 1998
+++ linux-2.1.124/drivers/video/Config.in	Sun Nov  8 01:00:44 1998
@@ -133,6 +133,7 @@
 	 "$CONFIG_FB_TCX" = "y" -o "$CONFIG_FB_CGTHREE" = "y" -o \
 	 "$CONFIG_FB_CONTROL" = "y" -o "$CONFIG_FB_CLGEN" = "y" -o \
 	 "$CONFIG_FB_CGFOURTEEN" = "y" -o "$CONFIG_FB_G364" = "y" -o \
+	 "$CONFIG_FB_VIRGE" = "y" -o "$CONFIG_FB_CYBER" = "y" -o \
 	 "$CONFIG_FB_VALKYRIE" = "y" -o "$CONFIG_FB_PLATINUM" = "y" ]; then
       define_bool CONFIG_FBCON_CFB8 y
     else
@@ -143,6 +144,7 @@
 	   "$CONFIG_FB_TCX" = "m" -o "$CONFIG_FB_CGTHREE" = "m" -o \
 	   "$CONFIG_FB_CONTROL" = "m" -o "$CONFIG_FB_CLGEN" = "m" -o \
 	   "$CONFIG_FB_CGFOURTEEN" = "m" -o "$CONFIG_FB_G364" = "m" -o \
+	   "$CONFIG_FB_VIRGE" = "m" -o "$CONFIG_FB_CYBER" = "m" -o \
 	   "$CONFIG_FB_VALKYRIE" = "m" -o "$CONFIG_FB_PLATINUM" = "m" ]; then
 	define_bool CONFIG_FBCON_CFB8 m
       fi
@@ -151,12 +153,14 @@
 	 "$CONFIG_FB_MAC" = "y" -o "$CONFIG_FB_VESA" = "y" -o \
 	 "$CONFIG_FB_VIRTUAL" = "y" -o "$CONFIG_FB_TBOX" = "y" -o \
 	 "$CONFIG_FB_CONTROL" = "y" -o "$CONFIG_FB_CLGEN" = "y" -o \
+	 "$CONFIG_FB_VIRGE" = "y" -o "$CONFIG_FB_CYBER" = "y" -o \
 	 "$CONFIG_FB_VALKYRIE" = "y" -o "$CONFIG_FB_PLATINUM" = "y" ]; then
       define_bool CONFIG_FBCON_CFB16 y
     else
       if [ "$CONFIG_FB_ATARI" = "m" -o "$CONFIG_FB_ATY" = "m" -o \
 	   "$CONFIG_FB_MAC" = "m" -o "$CONFIG_FB_VESA" = "m" -o \
 	   "$CONFIG_FB_VIRTUAL" = "m" -o "$CONFIG_FB_TBOX" = "m" -o \
+	   "$CONFIG_FB_VIRGE" = "m" -o "$CONFIG_FB_CYBER" = "m" -o \
 	   "$CONFIG_FB_CONTROL" = "m" -o "$CONFIG_FB_CLGEN" = "m" -o \
  	   "$CONFIG_FB_VALKYRIE" = "m" -o "$CONFIG_FB_PLATINUM" = "m" ]; then
 	define_bool CONFIG_FBCON_CFB16 m


Chris
-- 
=============================================================================
|        Chris Lawrence         |               My home page:               |
|   <quango@watervalley.net>    |     http://www.clark.net/pub/lawrencc/    |
|                               |                                           |
|     Amiga A4000/060 with      |    Join the party that opposed the CDA    |
|      Linux/m68k 2.1.124       |             http://www.lp.org/            |
=============================================================================

